USN-6226-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-6226-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-6226-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-6226-1
Related
Published
2023-07-13T03:58:14.052895Z
Modified
2023-07-13T03:58:14.052895Z
Summary
scipy vulnerabilities
Details

It was discovered that SciPy did not properly manage memory operations during reference counting. An attacker could possibly use this issue to cause a denial of service. (CVE-2023-25399)

A use-after-free was discovered in SciPy when handling reference counts. An attacker could possibly use this to cause a denial of service. This issue only affected Ubuntu 20.04 LTS. (CVE-2023-29824)

References

Affected packages

Ubuntu:Pro:20.04:LTS / scipy

Package

Name
scipy

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.3.3-3ubuntu0.1~esm1

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "python-scipy-doc": "1.3.3-3ubuntu0.1~esm1",
            "python3-scipy": "1.3.3-3ubuntu0.1~esm1"
        }
    ]
}

Ubuntu:Pro:22.04:LTS / scipy

Package

Name
scipy

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.8.0-1exp2ubuntu1+esm1

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "python-scipy-doc": "1.8.0-1exp2ubuntu1+esm1",
            "python3-scipy": "1.8.0-1exp2ubuntu1+esm1"
        }
    ]
}